Subject: bug#61432: 28.2; [PATCH] viper-init: disable face support

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Feb 2023 18:30:28 +0200

> From: andrés ramírez <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 11 Feb 2023 16:10:23 +0000
> 
>     Eli> Can't you have the same effect if you customize the faces viper-minibuffer-emacs-face and
>     Eli> viper-minibuffer-vi-face to look the same?
> 
> I have tried some modifications. like this one.

The easiest one is this:

  (require 'viper-init)
  (setq viper-minibuffer-vi-face viper-minibuffer-emacs-face)

Did you try that?
> Hope that clarifies the use of this variable.
> 
> And the most of vipers users are not going to notice that variable.

My problem with this is twofold:

  . I don't like to have code in Emacs which "works around" our own code
  . viper-has-face-support-p is used for more than just the mode line

So I'd prefer a different solution.  And in this case, it sounds like
a possible solution already exists, see above.